Skip to main content
POST
/
core
/
webhook-config
curl --request POST \
  --url https://api.integrations.commenda.io/v4/core/webhook-config \
  --header 'Content-Type: application/json' \
  --header 'api_key: <api-key>' \
  --data '
{
  "webhook_type": "CONNECTION_CHANGED",
  "name": "Connection webhook",
  "url": "https://example.com/webhooks/rootfi",
  "state": "ENABLED"
}
'
{
  "data": {
    "data": {
      "rootfi_id": 12,
      "rootfi_created_at": "2026-05-15T18:17:02.052Z",
      "rootfi_updated_at": "2026-05-15T18:17:02.052Z",
      "rootfi_organisation_id": 1,
      "webhook_type": "CONNECTION_CHANGED",
      "integration_type": null,
      "name": "Connection webhook",
      "url": "https://example.com/webhooks/rootfi",
      "state": "ENABLED",
      "topics": [],
      "headers": [
        {
          "name": "Authorization",
          "value": "Bearer secret"
        }
      ],
      "signature_header": "X-RootFi-Signature"
    }
  },
  "request_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}

Documentation Index

Fetch the complete documentation index at: https://integrations.docs.commenda.io/llms.txt

Use this file to discover all available pages before exploring further.

Create a webhook config. Returns 201 Created.

Request Body

FieldTypeRequiredDescription
webhook_typeenumYesEvent category.
integration_typeenumConditionalRequired when webhook_type is INTEGRATION.
namestringYesDisplay name.
urlstringYesDestination URL.
topicsstring[]NoSubscribed topics.
stateenumNoENABLED or DISABLED. Defaults to ENABLED.
signing_keystringNoSecret used to sign outbound requests.
headersobject[]NoCustom headers as { name, value }.

Response

Returns { data: { data: WebhookConfig }, request_id }.

Authorizations

api_key
string
header
required

Body

application/json
webhook_type
enum<string>
required
Available options:
INTEGRATION,
DATA_MODEL_CHANGES,
CONNECTION_CHANGED,
SYNC_STARTED,
SYNC_COMPLETED
name
string
required
url
string
required
integration_type
enum<string>

V4-supported integration types only.

Available options:
STRIPE,
NETSUITE,
XERO,
ZOHO_BOOKS,
WAFEQ,
QUICKBOOKS,
QUICKBOOKS_SANDBOX,
BIG_COMMERCE,
WOO_COMMERCE,
OODOO_ACCOUNTING,
SHOPIFY,
FRESHBOOKS
topics
string[]
state
enum<string>
Available options:
ENABLED,
DISABLED
signing_key
string
headers
V4WebhookHeader · object[]

Response

Webhook config created.

request_id
string
required
data
V4GetWebhookConfigResponse · object
required